%define _enable_debug_packages %{nil}
%define debug_package          %{nil}
# filter out bogus auto-requires
%global __requires_exclude ^typelib\\(Unity\\).*$

Summary:	Images downloader for external devices
Name:		rapid-photo-downloader
Version:	0.9.18
%define subrel	1
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphics/Photography
URL:		http://damonlynch.net/rapid
Source0:	https://launchpad.net/rapid/pyqt/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	bzr
BuildRequires:	gobject-introspection

Requires:	exiv2
Requires:	exif
Requires:	hicolor-icon-theme
Requires:	ffmpegthumbnailer
Requires:	libmediainfo
Requires:	libnotify
Requires:	%{_lib}gexiv2_2
Requires:	libraw-tools
Requires:	udisks2
Requires:	qtimageformats5
Requires:	python3-qt5
Requires:	python3dist(pygobject)
Requires:	python3dist(requests)
Requires:	python3dist(python-distutils-extra)
Requires:	python3dist(xdg)
Requires:	python3dist(sip)
Requires:	python3dist(tenacity)
Requires:	perl(Image::ExifTool)
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-libav

%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. Released under the GNU GPL license, it is
designed for use on the Linux Desktop. It can download photos from
multiple cameras, memory cards, and Portable Storage Devices
simultaneously. It provides many options for subfolder
creation, image renaming and backup.

%files -f %{name}.lang
%doc CHANGES.rst README.rst RELEASE_NOTES.rst
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}/
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/appdata/*%{name}.appdata.xml
%{_datadir}/solid/*
%{python3_sitelib}/raphodo/
%{python3_sitelib}/*.egg-info
%{_mandir}/man1/*

#---------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
#build_icons and build_i18n simply stage those files for install (data_files) in setup.py
%{__python3} setup.py build_icons build_i18n install -O1 --skip-build --root=%{buildroot}

%__install -d %{buildroot}%{_iconsdir}/%{name}
cp -a data/icons/* %{buildroot}%{_iconsdir}/%{name}/

%find_lang %{name}


%changelog
* Thu Jan 30 2020 daviddavid <daviddavid> 0.9.18-1.1.mga7
+ Revision: 1485650
- add missing dependency on python3-tenacity
- new version: 0.9.18 (mga#25067)
- fix License
- fix Icon and Translations
+ wally <wally>
- add missing requires

* Fri Aug 30 2019 wally <wally> 0.9.9-6.1.mga7
+ Revision: 1435433
- drop py-colour patch as colour is really wanted (mga#25067)

* Thu Jan 10 2019 daviddavid <daviddavid> 0.9.9-6.mga7
+ Revision: 1354111
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-5.mga7
+ Revision: 1300776
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 0.9.9-4.mga7
+ Revision: 1227636
- add patch to swith to python-pycolour instead of python-colour
- no need to hard require pkgs that are already auto-required
- filer out unwanted auto-requires on typelib(Unity)
- fix some others requires

* Sun Apr 22 2018 kekepower <kekepower> 0.9.9-3.mga7
+ Revision: 1221221
- This should not be a noarch package

* Sun Apr 22 2018 kekepower <kekepower> 0.9.9-2.mga7
+ Revision: 1221213
- Update BRs and Requires

* Thu Apr 19 2018 kekepower <kekepower> 0.9.9-1.mga7
+ Revision: 1220266
- Update to version 0.9.9

* Sat Feb 20 2016 umeabot <umeabot> 0.4.11-2.mga6
+ Revision: 972482
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 daviddavid <daviddavid> 0.4.11-1.mga6
+ Revision: 899857
- new version: 0.4.11
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.4.10-4.mga5
+ Revision: 742639
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.10-3.mga5
+ Revision: 730086
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.10-2.mga5
+ Revision: 688609
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jul 02 2014 dams <dams> 0.4.10-1.mga5
+ Revision: 642132
- new version 0.4.10
+ pterjan <pterjan>
- Rebuild for new Python

* Mon Feb 10 2014 dams <dams> 0.4.9-1.mga5
+ Revision: 588964
- new version 0.4.9

* Tue Oct 22 2013 umeabot <umeabot> 0.4.6-3.mga4
+ Revision: 544513
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.6-2.mga4
+ Revision: 499818
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jun 26 2013 fwang <fwang> 0.4.6-1.mga4
+ Revision: 446762
- new version 0.4.6

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-3.mga3
+ Revision: 380181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 0.4.3-2.mga3
+ Revision: 328955
- update RPM group

* Fri Jan 13 2012 mikala <mikala> 0.4.3-1.mga2
+ Revision: 195638
- Update tarball to 0.4.3

* Mon Oct 03 2011 mikala <mikala> 0.4.2-1.mga2
+ Revision: 151282
- Update tarball to 0.4.2

* Thu Sep 15 2011 mikala <mikala> 0.4.1-1.mga2
+ Revision: 143897
- Update tarball to 0.4.1
- Add python-hachoir-metadata as Requires (needed for video download)
- Fix files list

* Sat May 07 2011 mikala <mikala> 0.3.6-1.mga1
+ Revision: 95692
- Update tarball to 0.3.6
- Remove BuildRoot
- imported package rapid-photo-downloader


* Sun Jan 02 2011 John Balcaen <mikala@mandriva.org> 0.3.4-1mdv2011.0
+ Revision: 627500
- Update to 0.3.4

  + Sandro Cazzaniga <kharec@mandriva.org>
    - new version 0.3.3

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 0.3.1-2mdv2011.0
+ Revision: 599637
- rebuild for py2.7

* Sun Sep 05 2010 John Balcaen <mikala@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 576191
- Update to 0.3.1

* Sun Jul 25 2010 John Balcaen <mikala@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 559877
- Update to 0.3.0
- add somes requires suggested by upstream

* Wed Feb 17 2010 John Balcaen <mikala@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 506891
- update to 0.1.3

* Sun Jan 17 2010 John Balcaen <mikala@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 492629
- Update to 0.1.2

* Thu Jan 07 2010 Frederik Himpe <fhimpe@mandriva.org> 0.1.1-1mdv2010.1
+ Revision: 487289
- update to new version 0.1.1

* Thu Dec 31 2009 John Balcaen <mikala@mandriva.org> 0.1.0-1mdv2010.1
+ Revision: 484310
- Update to 0.1.0

* Fri Dec 04 2009 John Balcaen <mikala@mandriva.org> 0.1.0-0.beta2mdv2010.1
+ Revision: 473232
- Update to 0.1.0beta2

* Sat Sep 26 2009 John Balcaen <mikala@mandriva.org> 0.0.10-1mdv2010.0
+ Revision: 449395
- import rapid-photo-downloader

